Summary:	Visual diff and merge tool
Summary(pl.UTF-8):	Wizualne narzędzie do oglądania i włączania zmian (diff)
Name:		meld
Version:	3.20.3
Release:	1
License:	GPL v2+
Group:		Applications/Text
Source0:	https://download.gnome.org/sources/meld/3.20/%{name}-%{version}.tar.xz
# Source0-md5:	28bd16508e9c966d04184c16046cbadb
Patch0:		%{name}-desktop.patch
Patch2:		%{name}-install.patch
URL:		http://meld.sourceforge.net/
BuildRequires:	intltool
BuildRequires:	itstool
BuildRequires:	python3-modules >= 1:3.3
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(find_lang) >= 1.23
BuildRequires:	rpmbuild(macros) >= 1.714
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
# for versions see bin/meld /check_requirements
Requires(post,postun):	desktop-file-utils
Requires(post,postun):	glib2 >= 1:2.48
Requires(post,postun):	gtk-update-icon-cache
Requires:	glib2 >= 1:2.48
Requires:	gtk+3 >= 3.20
Requires:	gtksourceview3 >= 3.20.0
Requires:	hicolor-icon-theme
Requires:	pango >= 1:1.26
Requires:	python3-modules >= 1:3.3
Requires:	python3-pycairo
Requires:	python3-pygobject3 >= 3.14
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Meld is a GNOME visual diff and merge tool. It integrates especially
well with CVS. The diff viewer lets you edit files in place (diffs
update dynamically), and a middle column shows detailed changes and
allows merges. The margins show location of changes for easy
navigation, and it also features a tabbed interface that allows you to
open many diffs at once.

%description -l pl.UTF-8
Meld to przeznaczone dla GNOME wizualne narzędzie do oglądania i
włączania zmian (w formacie diff). Integruje się szczególnie dobrze z
CVS. Przeglądarka różnic pozwala modyfikować pliki w miejscu
(dynamicznie uaktualniać), a środkowa kolumna pokazuje szczegółowe
zmiany i pozwala na włączanie. Na marginesach jest pokazane położenie
zmian w celu łatwej nawigacji. Jest dostępny także interfejs z
zakładkami, pozwalający na otwieranie wielu plików diff naraz.

%prep
%setup -q
%patch0 -p1
%patch2 -p1

cp -p meld/vc/COPYING COPYING.vc
cp -p meld/vc/README README.vc

%build
%py3_build

%install
rm -rf $RPM_BUILD_ROOT

%py3_install install_data \
	--no-compile-schemas \
	--no-update-icon-cache

%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
%glib_compile_schemas
%update_desktop_database_post
%update_icon_cache hicolor

%postun
%update_desktop_database_postun
%update_icon_cache hicolor
%glib_compile_schemas

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc NEWS COPYING.vc README.vc
%attr(755,root,root) %{_bindir}/meld
%{py3_sitescriptdir}/meld-%{version}-py*.egg-info
%dir %{py3_sitescriptdir}/%{name}
%{py3_sitescriptdir}/%{name}/*.py
%{py3_sitescriptdir}/%{name}/__pycache__
%dir %{py3_sitescriptdir}/%{name}/matchers
%{py3_sitescriptdir}/%{name}/matchers/*.py
%{py3_sitescriptdir}/%{name}/matchers/__pycache__
%dir %{py3_sitescriptdir}/%{name}/ui
%{py3_sitescriptdir}/%{name}/ui/*.py
%{py3_sitescriptdir}/%{name}/ui/__pycache__
%dir %{py3_sitescriptdir}/%{name}/vc
%{py3_sitescriptdir}/%{name}/vc/*.py
%{py3_sitescriptdir}/%{name}/vc/__pycache__
%{_iconsdir}/hicolor/16x16/actions/meld-change-*.png
%{_iconsdir}/hicolor/*x*/apps/meld-version-control.png
%{_iconsdir}/hicolor/*x*/apps/org.gnome.meld.png
%{_iconsdir}/hicolor/scalable/apps/org.gnome.meld.svg
%{_iconsdir}/HighContrast/scalable/apps/org.gnome.meld.svg
%{_datadir}/%{name}
%{_datadir}/glib-2.0/schemas/org.gnome.meld.gschema.xml
%{_datadir}/metainfo/org.gnome.meld.appdata.xml
%{_datadir}/mime/packages/org.gnome.meld.xml
%{_desktopdir}/org.gnome.meld.desktop
%{_mandir}/man1/meld.1*
%changelog
* Sun Feb 14 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/meld.git;a=log;h=master

* Sat Feb 13 2021 Jan Palus <atler@pld-linux.org> 1d12672
- updated source url

* Sat Feb 13 2021 Jan Palus <atler@pld-linux.org> 68f905e
- up to 3.20.3

* Sun Feb 16 2020 Jan Palus <atler@pld-linux.org> 6035c80
- up to 3.20.2

* Mon Jan 06 2020 Jakub Bogusz <qboosh@pld-linux.org> 467d528
- updated dependencies
- added install patch (move install_data options from global to install_data, use py3_install macro)
- release 4

* Wed Oct 30 2019 Jan Palus <atler@pld-linux.org> 36a7b1f
- upstream patch to fix build with python 3.8; rel 3

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 2453e7a
- rebuild with python 3.8
- release 2 (by relup.sh)

* Fri May 24 2019 Elan Ruusamäe <glen@pld-linux.org> 827d3cb
- use epoch 1 for python3 package

* Sun Mar 31 2019 Jan Palus <atler@pld-linux.org> d6c4912
- up to 3.20.1

* Sun Jan 20 2019 Jan Palus <atler@pld-linux.org> b8e2a79
- up to 3.20.0

* Fri Nov 16 2018 Jan Palus <atler@pld-linux.org> 20d4c1b
- up to 3.18.3

* Tue Jul 03 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> f8953ef
- release 2 (by relup.sh)

* Tue Jun 19 2018 Jan Palus <atler@pld-linux.org> 5025913
- up to 3.18.2

* Sun Apr 29 2018 Jan Palus <atler@pld-linux.org> a286199
- up to 3.18.1

* Mon Feb 12 2018 Jan Palus <atler@pld-linux.org> 58eb858
- up to 3.18.0

* Fri Dec 30 2016 Marcin Banasiak <marcin.banasiak@gmail.com> ad8517f
- Update to 3.16.4

* Sat Oct 01 2016 Jan Palus <atler@pld-linux.org> 4795239
- up to 3.16.3

* Sun Jul 31 2016 Jan Palus <atler@pld-linux.org> 118c8d3
- up to 3.16.2

* Sun Jun 19 2016 Jan Palus <atler@pld-linux.org> 25711f3
- up to 3.16.1

* Sun May 01 2016 Jan Palus <atler@pld-linux.org> c9e07c5
- up to 3.16.0

* Sat Dec 19 2015 Jan Palus <atler@pld-linux.org> 7f499af
- expand %py_install macro to pass additional options to setup.py

